package com.bocloud.cmp.model.hmc;

import com.alibaba.fastjson.JSONObject;

@Deprecated
public class HmcPhysicalDiskModel {
    /**
     * id
     */
    private Long id;
    /**
     * volume name
     * <p>
     * visk0
     */
    private String volumeName;
    /**
     * volume capacity
     * <p>
     * 50
     */
    private Double volumeCapacity;
    /**
     * volume state
     * <p>
     * None
     */
    private String volumeState;
    /**
     * unique device id
     * <p>
     * 0300cf856300004c0000000164d55cc59a.1
     */
    private String uniqueDeviceId;
    /**
     * 物理磁盘所在vios的平台id
     */
    private Long viosId;
    /**
     * physical disk assign slot id
     * <p>
     * 2
     */
    private Integer viosSlotId;
    /**
     * vios name
     */
    private String viosName;
    /**
     * vios hmc id
     */
    private Integer viosHmcId;
    /**
     * 物理磁盘所在vg的平台id
     */
    private Long vgId;
    /**
     * physical disk vg info
     * <p>
     * rootvg
     */
    private String vg;
    /**
     * physical disk assign partition id
     * <p>
     * 这个id是平台的partition的id
     * <p>
     * 不是hmc端显示的partition的id
     * <p>
     * 2
     */
    private Long assignPartitionId;
    /**
     * physical disk assign slot id
     * <p>
     * 2
     */
    private Integer assignSlotId;
    /**
     * physical disk assign info
     * <p>
     * aix(2)
     */
    private String assign;
    /**
     * virtual disk assign partition status
     * <p>
     * not activated
     */
    private String assignStatus;
    /**
     * 该磁盘是否可用
     */
    private Boolean available;
    /**
     * 该磁盘描述
     */
    private String description;
    /**
     * 该磁盘是否由光纤存储提供
     */
    private Boolean isFc;
    /**
     * 该磁盘位置信息
     */
    private String locationCode;
    /**
     * 该磁盘恢复策略
     * <p>
     * NoReserve
     */
    private String reservePolicy;
    /**
     * 该磁盘恢复策略算法
     * <p>
     * Failover
     */
    private String reservePolicyAlgorithm;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getVolumeName() {
        return volumeName;
    }

    public void setVolumeName(String volumeName) {
        this.volumeName = volumeName;
    }

    public Double getVolumeCapacity() {
        return volumeCapacity;
    }

    public void setVolumeCapacity(Double volumeCapacity) {
        this.volumeCapacity = volumeCapacity;
    }

    public String getVolumeState() {
        return volumeState;
    }

    public void setVolumeState(String volumeState) {
        this.volumeState = volumeState;
    }

    public String getUniqueDeviceId() {
        return uniqueDeviceId;
    }

    public void setUniqueDeviceId(String uniqueDeviceId) {
        this.uniqueDeviceId = uniqueDeviceId;
    }

    public Long getViosId() {
        return viosId;
    }

    public void setViosId(Long viosId) {
        this.viosId = viosId;
    }

    public Integer getViosSlotId() {
        return viosSlotId;
    }

    public void setViosSlotId(Integer viosSlotId) {
        this.viosSlotId = viosSlotId;
    }

    public String getViosName() {
        return viosName;
    }

    public void setViosName(String viosName) {
        this.viosName = viosName;
    }

    public Integer getViosHmcId() {
        return viosHmcId;
    }

    public void setViosHmcId(Integer viosHmcId) {
        this.viosHmcId = viosHmcId;
    }

    public Long getVgId() {
        return vgId;
    }

    public void setVgId(Long vgId) {
        this.vgId = vgId;
    }

    public String getVg() {
        return vg;
    }

    public void setVg(String vg) {
        this.vg = vg;
    }

    public Long getAssignPartitionId() {
        return assignPartitionId;
    }

    public void setAssignPartitionId(Long assignPartitionId) {
        this.assignPartitionId = assignPartitionId;
    }

    public Integer getAssignSlotId() {
        return assignSlotId;
    }

    public void setAssignSlotId(Integer assignSlotId) {
        this.assignSlotId = assignSlotId;
    }

    public String getAssign() {
        return assign;
    }

    public void setAssign(String assign) {
        this.assign = assign;
    }

    public String getAssignStatus() {
        return assignStatus;
    }

    public void setAssignStatus(String assignStatus) {
        this.assignStatus = assignStatus;
    }

    public Boolean getAvailable() {
        return available;
    }

    public void setAvailable(Boolean available) {
        this.available = available;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Boolean getIsFc() {
        return isFc;
    }

    public void setIsFc(Boolean isFc) {
        this.isFc = isFc;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getReservePolicy() {
        return reservePolicy;
    }

    public void setReservePolicy(String reservePolicy) {
        this.reservePolicy = reservePolicy;
    }

    public String getReservePolicyAlgorithm() {
        return reservePolicyAlgorithm;
    }

    public void setReservePolicyAlgorithm(String reservePolicyAlgorithm) {
        this.reservePolicyAlgorithm = reservePolicyAlgorithm;
    }

    public HmcPhysicalDiskModel() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
